### Type parameters

- #### TSource: WithFaceLandmarks<WithFaceDetection<{}>>

### Hierarchy

- ComputeFaceDescriptorsTaskBase<WithFaceDescriptor<TSource> | undefined, TSource | undefined>
  - ComputeSingleFaceDescriptorTask

## Index

### Constructors

- constructor

### Methods

- run
- then
- withAgeAndGender
- withFaceExpressions

## Constructors

### constructor

- new ComputeSingleFaceDescriptorTask<TSource>(parentTask: ComposableTask<undefined | TSource> | Promise<undefined | TSource>, input: any): ComputeSingleFaceDescriptorTask<TSource>

- Inherited from ComputeFaceDescriptorsTaskBase.constructor

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:12

  #### Type parameters

  - #### TSource: WithFaceLandmarks<{ detection: FaceDetection }, FaceLandmarks68>

  #### Parameters

  - ##### parentTask: ComposableTask<undefined | TSource> | Promise<undefined | TSource>

  - ##### input: any

  #### Returns ComputeSingleFaceDescriptorTask<TSource>

## Methods

### run

- run(): Promise<undefined | WithFaceDescriptor<TSource>>

- Overrides ComputeFaceDescriptorsTaskBase.run

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:46

  #### Returns Promise<undefined | WithFaceDescriptor<TSource>>

### then

- then(onfulfilled: (value: undefined | WithFaceDescriptor<TSource>) => undefined | WithFaceDescriptor<TSource> | PromiseLike<undefined | WithFaceDescriptor<TSource>>): Promise<undefined | WithFaceDescriptor<TSource>>

- Inherited from ComputeFaceDescriptorsTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: undefined | WithFaceDescriptor<TSource>) => undefined | WithFaceDescriptor<TSource> | PromiseLike<undefined | WithFaceDescriptor<TSource>>

    - - (value: undefined | WithFaceDescriptor<TSource>): undefined | WithFaceDescriptor<TSource> | PromiseLike<undefined | WithFaceDescriptor<TSource>>

      - #### Parameters

        - ##### value: undefined | WithFaceDescriptor<TSource>

        #### Returns undefined | WithFaceDescriptor<TSource> | PromiseLike<undefined | WithFaceDescriptor<TSource>>

  #### Returns Promise<undefined | WithFaceDescriptor<TSource>>

### withAgeAndGender

- withAgeAndGender(): PredictSingleAgeAndGenderWithFaceAlignmentTask<WithFaceDescriptor<TSource>>

- - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:67

  #### Returns PredictSingleAgeAndGenderWithFaceAlignmentTask<WithFaceDescriptor<TSource>>

### withFaceExpressions

- withFaceExpressions(): PredictSingleFaceExpressionsWithFaceAlignmentTask<WithFaceDescriptor<TSource>>

- - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:63

  #### Returns PredictSingleFaceExpressionsWithFaceAlignmentTask<WithFaceDescriptor<TSource>>